﻿/*
-------------------------------------------
-------------------------------------------
Project: X-ART Reference System

File: visual/style_main.css

Author: Alexander Denisov

Last modification date: 08.01.2012

Description:
Style of application main page.
-------------------------------------------
 */

/*********************************** Common **********************************/

@font-face {font-family: OpenSans SemiBold; src: url(./fonts/OpenSans-Semibold.woff)  format('woff');}
@font-face {font-family: Rubik Regular; src: url(./fonts/Rubik-Regular.woff)  format('woff');}

@font-face {
	font-family: 'ProximaNovaRegular';
	src: url('./fonts/ProximaNova-Regular.eot');
	src: local('Proxima Nova Regular'), local('ProximaNova-Regular'),
		url('./fonts/ProximaNova-Regular.eot?#iefix') format('embedded-opentype'),
		url('./fonts/ProximaNova-Regular.woff') format('woff'),
		url('./fonts/ProximaNova-Regular.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'ProximaNovaSemibold';
	src: url('./fonts/ProximaNova-Semibold.eot');
	src: local('Proxima Nova Semibold'), local('ProximaNova-Semibold'),
		url('./fonts/ProximaNova-Semibold.eot?#iefix') format('embedded-opentype'),
		url('./fonts/ProximaNova-Semibold.woff') format('woff'),
		url('./fonts/ProximaNova-Semibold.ttf') format('truetype');
	font-weight: 600;
	font-style: normal;
}

::-webkit-scrollbar { width: 7px; height: 7px;}
::-webkit-scrollbar-button {  /*background-color: #FF0000;*/ width: 7px; height: 7px; }
::-webkit-scrollbar-track {  background-color: #D8DBDE;}
::-webkit-scrollbar-track-piece { background-color: #f0f1f3;}
::-webkit-scrollbar-thumb { height: 50px; background-color: #bfc7d2; border-radius: 3px;}
::-webkit-scrollbar-corner { background-color: #f0f1f3;}}
::-webkit-resizer { background-color: #f0f1f3;}

* {
	margin: 0px;
	padding: 0px;
}

body {
	font-family: ProximaNovaSemibold;
	font-size: 12px;
	/*background: #ffffff;*/
	background: #ebeced;
	overflow: hidden;
	padding-top: 25px;
}



.MainArea {
	position: absolute;
	top: 50px;
	left: 0px;
	height: 95%;
	width: 95%;
	overflow: auto;
	padding: 10px;
}

.tooltip {
	background-color: #ffffff;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	border: 1px solid #c9baa9;
	padding: 5px 10px 5px 10px;
	max-width: 300px;
	z-index: 1000;
}

.LinkDefault {
	cursor: pointer; cursor: hand;
	color: black;
	/*text-decoration: none;*/
}
.LinkActive {
	cursor: pointer; cursor: hand;
	color: #e10000;
	/*text-decoration: underline;*/
}

#ShowDebugPanel {
	position: absolute;
	top: 5px;
	right: 120px;
	height: 15px;
}

#AddWarning {
	position: absolute;
	top: 5px;
	right: 290px;
	height: 15px;
}

.WarningMsg {
	position: absolute;
	left: 0px;
	width: 100%;
	padding: 10px;
	background-color: #fffaf0;
	border-top: 1px solid #fffaf0;
	border-bottom: 1px solid #ff9600;
	z-index: 25;

	color: #5a5a50;
	font-family: ProximaNovaRegular;
	font-size: 12px;
}
.WarningMsgActive {
	position: absolute;
	left: 0px;
	width: 100%;
	padding: 10px;
	background-color: #fffaf0;
	border-top: 1px solid red;
	border-bottom: 1px solid red;
	z-index: 25;

	color: black;
	font-family: ProximaNovaRegular;
	font-size: 12px;
}

/******************************** Debug panel ********************************/

.DebugPanelOpenButton {
	display: block;
	position: absolute;
	top: 25px;
	right: 0px;
	border-collapse: collapse;
	font-family: ProximaNovaRegular;
	font-size: 9px;
	font-weight: bold;
	text-decoration: none;
}
.DebugPanelOpenButton tr {
	cursor: pointer; cursor: hand;
	height: 23px;
}
.DebugPanelOpenButtonL {
	width: 2px;
	background-image: url("list_element.png");
	background-position: -4px -1px;
}
.DebugPanelOpenButtonLOn {
	background-position: -0px -1px !important;
}
.DebugPanelOpenButtonR {
	width: 2px;
	background-image: url("list_element.png");
	background-position: -6px -1px;
}
.DebugPanelOpenButtonROn {
	background-position: -2px -1px !important;
}
.DebugPanelOpenButtonMain {
	width: 6px;
	/*
	padding-left: 16px;
	padding-right: 16px;
	*/
	background-image: url("backgrounds.png");
	background-position: 0px -51px;
	text-align: center;
	vertical-align: middle;
	color: #8888ca;
}
.DebugPanelOpenButtonMainOn {
	background-position: 0px -26px !important;
	color: #28287a !important;
}

.DebugPanel {
	position: absolute;
	top: 3px;
	left: 3px;
	width: 500px;
	height: 220px;
	visibility: visible;
	z-index: 100;
	background-color: #f0f0f0;
}
.DebugPanelIframe {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	border: 0;
	z-index: 105;
}
.DebugPanelContent {
	position: relative;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 110;
	border: 2px solid #323296;
	background-color: #f0f0f0;
	padding: 5px 10px 10px 10px;
}
.DebugPanelHeader {
	height: 16px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	font-weight: bold;
}
.DebugTextBlock {
	height: 184px;
	overflow: auto;
	margin-top: 5px;
	padding: 5px;
	border: 1px solid #000096;
	background-color: #fafafa;
	font-size: 11px;
}

.ButtonCloseOff {
	cursor: pointer; cursor: hand;
	width: 16px;
	height: 16px;
	background-image: url("buttons.png");
	background-position: -107px -20px;
	background-repeat: no-repeat;
	display: block;
	position: absolute;
	top: 5px;
	right: 10px;
}
.ButtonCloseOn {
	cursor: pointer; cursor: hand;
	width: 16px;
	height: 16px;
	background-image: url("buttons.png");
	background-position: -123px -20px;
	background-repeat: no-repeat;
	display: block;
	position: absolute;
	top: 5px;
	right: 10px;
}

/******************************* Header panel ********************************/

.HeaderPanel {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 50px;
    background-color: #0E4BA8;
	/*height: 25px;
	background-image: url("backgrounds.png");*/
	background-position: 0px 0px;
	color: white !important;
}

.HeaderPanelLogoOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 2px;
	left: 5px;
	width: 24px;
	height: 19px;
	background-image: url("buttons.png");
	background-position: -107px 0px;
}
.HeaderPanelLogoOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 2px;
	left: 5px;
	width: 24px;
	height: 19px;
	background-image: url("buttons.png");
	background-position: -131px 0px;
}

.HeaderPanelLabel {
	position: absolute;
	top: 5px;
	left: 40px;
	height: 0px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	font-weight: bold;
	color: #f5f5f9;
}

.HeaderPanelBtnUpOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	left: 252px;
	width: 18px;
	height: 18px;
	background-image: url("buttons.png");
	background-position: 0px 0px;
}
.HeaderPanelBtnUpOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	left: 252px;
	width: 18px;
	height: 18px;
	background-image: url("buttons.png");
	background-position: 0px -18px;
}

.HeaderPanelPageName {
	position: absolute;
	top: 5px;
	left: 275px;
	height: 0px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	font-weight: bold;
	color: #f5f5f9;
}

.HeaderPanelAppInfoOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 30px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -18px 0px;
}
.HeaderPanelAppInfoOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 30px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -18px -18px;
}

.FullscreenButtonMaximize {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 6px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -155px 0px;
}
.FullscreenButtonMaximizeOn {
	background-position: -155px -18px !important;
}

.FullscreenButtonMinimize {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 6px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -173px 0px;
}
.FullscreenButtonMinimizeOn {
	background-position: -173px -18px !important;
}

.LogoutButtonOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 64px;
	height: 18px;
	width: 50px;
	/*background-image: url("buttons.png");
	background-position: -54px 0px;*/
}
.LogoutButtonOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 64px;
	height: 18px;
	width: 50px;
	/*background-image: url("buttons.png");
	background-position: -54px 18px;*/
}

.LoginButtonOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 64px;
	height: 18px;
	width: 50px;
	background-image: url("buttons.png");
	background-position: -191px 0px;
}
.LoginButtonOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 64px;
	height: 18px;
	width: 50px;
	background-image: url("buttons.png");
	background-position: -191px 18px;
}

.AccessEditButtonOff {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 120px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -36px 0px;
}
.AccessEditButtonOn {
	cursor: pointer; cursor: hand;
	position: absolute;
	top: 3px;
	right: 120px;
	height: 18px;
	width: 18px;
	background-image: url("buttons.png");
	background-position: -36px -18px;
}

.UsernameLabel {
	position: absolute;
	top: 3px;
	right: 144px;
	height: 18px;
	line-height: 18px;
	font-family: ProximaNovaRegular;
	font-weight: bold;
	font-size: 11px;
	color: #f5f5f9;
}

.UserFullnameLabel {
	position: absolute;
	top: 3px;
	right: 144px;
	height: 18px;
	line-height: 18px;
	font-family: ProximaNovaRegular;
	font-weight: bold;
	font-size: 11px;
	color: #f5f5f9;
}

/***************************** Browse page mode ******************************/

.PathElemets {
	margin-bottom: 15px;
	font-family: ProximaNovaRegular;
	font-size: 12px;
	font-weight: bold;
	color: #000000;
}

.PathElemets a, .PathElemets a:active, .PathElemets a:visited {
	text-decoration: none;
	color: #2828a0;
}
.PathElemets a:hover {
	text-decoration: none;
	color: #cf0f0f;
}

.PagesListElem {
	border-collapse: collapse;
}
.PagesListElem a, a:hover, a:active, a:visited {
	color: #28287a;
	text-decoration: none;
}

.PagesListElem tr {
	cursor: pointer; cursor: hand;
	height: 25px;
	background-image: url("backgrounds.png");
}
.PagesListElemOn {
	background-position: 0px -25px;
}
.PagesListElemOff {
	background-position: 0px -50px;
}

.PagesListElemBlank {
	width: 15px;
}
.PagesListElemIcoDir, .PagesListElemIcoPage {
	width: 25px;
	background-image: url("list_element.png");
}
.PagesListElemOn .PagesListElemIcoDir {
	background-position: -58px 0px;
}
.PagesListElemOff .PagesListElemIcoDir {
	background-position: -83px 0px;
}
.PagesListElemOn .PagesListElemIcoPage {
	background-position: -8px 0px;
}
.PagesListElemOff .PagesListElemIcoPage {
	background-position: -33px 0px;
}

.PagesListElemL {
	width: 2px;
	background-image: url("list_element.png");
}
.PagesListElemOn .PagesListElemL {
	background-position: -0px 0px;
}
.PagesListElemOff .PagesListElemL {
	background-position: -4px 0px;
}

.PagesListElemMain {
	padding: 0px 30px 0px 10px;
	min-width: 100px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	color: #28287a;
}
.PagesListElemPage .PagesListElemMain {
	font-weight: bold;
}

.PagesListElemR {
	width: 2px;
	background-image: url("list_element.png");
}
.PagesListElemOn .PagesListElemR {
	background-position: -2px 0px;
}
.PagesListElemOff .PagesListElemR {
	background-position: -6px 0px;
}

/****************************** Form page mode *******************************/

.FormPageVars {
	background: #efefef;
	border: 1px solid #7070b0;
	width: 500px;
	padding: 10px;
}
.FormPageVarsTitle {
	height: 25px;
	width: 100%;
	text-align: center;
	vertical-align: middle;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	font-weight: bold;
	font-style: italic;
	color: #28287a;
}
.FormPageVarsTable {
	border-top: 1px solid #b0c0d0;
	border-collapse: collapse;
	width: 100%;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
.FormPageVarsTable td {
	border-bottom: 1px solid #b0c0d0;
	padding: 5px;
	height: 20px;
}
.FormPageVarsName {
	width: 30%;
	padding-left: 10px;
}
.FormPageVarsTable input {
	width: 100%;
	height: 20px;
}
.FormPageVarsValidator {
	width: 20px;
	padding-right: 10px;
}
.FormPageVarsButton {
	width: 100%;
	text-align: right;
	margin-top: 5px;
}
.FormPageVarsButton input{
	width: 70px;
	height: 24px;
	font-family: Tahoma, sans-serif;
	font-size: 12px;
}

/***************************** Normal page mode ******************************/

.Panel {
	position: absolute;
	top: 0px;
	left: 0px;
	/*border: 1px solid #323296;*/
	border-top-left-radius: 7px;
    border-top-right-radius: 7px;
	border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
	-webkit-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
	-moz-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
	box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
}

/************************************ Tabs ***********************************/

.TabsWrapperFullscreen {
	position: absolute;
	top: 0px;
	left: 0px;
}

.TabsWrapperTable {
	width: 100%;
	height: 42px; /*20px;*/
	border-collapse: collapse;
	/*background: url("tabs_backgrounds.gif");*/
	/*background-color: white;*/
	background-position: 0px -80px;
	background-repeat: repeat-x;
	border-top-left-radius: 2px;
    border-top-right-radius: 2px;
	background-color: #ffffff;
	border-bottom: 2px solid #f0f0f4;
}
.TabTable {
	/*width: 100%;*/
	height: 32px;
	border-collapse: collapse;
	cursor: pointer; cursor: hand;
	padding: 0 15 0 15;
    display: inline-block;
	text-transform: uppercase;
	color: #949bab;
}
.TabTable[active-tab="true"] {
    /*background-color: red;*/
	height: 42px;
	border-bottom: 2px solid #0E4BA8;
	color: #0E4BA8;
}

.TabLabel {
	width: 100%;
	margin-left: 2px;
	height: 42px;
	line-height: 42px;
	overflow: hidden;
	text-align: center;
	vertical-align: center;
	font-family: ProximaNovaSemibold;
	font-size: 14px;
	/*font-weight: bold;*/
}

.TabLeftCorner {
	width: 5px;
	height: 20px;
	/*background: url("tabs_corners.gif");
	background-repeat: no-repeat;*/
	/*border-top: 1px solid #ffffff;*/
	/*border-left: 1px solid #ffffff;*/
	
}
.TabRightCorner {
	width: 5px;
	height: 20px;
	/*background: url("tabs_corners.gif");*/
	/*border-top: 1px solid #ffffff;*/
	/*border-right: 1px solid #ffffff;*/
	/*background-repeat: no-repeat;*/
}

.TabLeftCornerForegroundNormal {
	background-position: 0px 0px;
}
.TabLeftCornerForegroundOff {
	background-position: 0px 0px;
}
.TabLeftCornerForegroundActive {
	background-position: -10px 0px;
}
.TabLeftCornerForegroundActivated {
	background-position: -10px 0px;
}
.TabLeftCornerBackgroundNormal {
	background-position: -20px 0px;
}
.TabLeftCornerBackgroundOff {
	background-position: -20px 0px;
	border-bottom: 1px solid #d8d3d3;
}
.TabLeftCornerBackgroundActive {
	background-position: -30px 0px;
}
.TabLeftCornerBackgroundActivated {
	background-position: -30px 0px;
}
.TabLeftCornerHighlighted {
	background-position: -40px 0px !important;
}

.TabRightCornerForegroundNormal {
	background-position: -5px 0px;
}
.TabRightCornerForegroundOff {
	background-position: -5px 0px;
}
.TabRightCornerForegroundActive {
	background-position: -15px 0px;
}
.TabRightCornerForegroundActivated {
	background-position: -15px 0px;
}
.TabRightCornerBackgroundNormal {
	background-position: -25px 0px;
}
.TabRightCornerBackgroundOff {
	background-position: -25px 0px;
	border-bottom: 1px solid #d8d3d3;
}
.TabRightCornerBackgroundActive {
	background-position: -35px 0px;
}
.TabRightCornerBackgroundActivated {
	background-position: -35px 0px;
}
.TabRightCornerHighlighted {
	background-position: -45px 0px !important;
}

.TabMain {
	height: 32px;
	/*background: url("tabs_backgrounds.gif");*/
	/*border-top: 1px solid #ffffff;*/
	/*background-repeat: repeat-x;*/
}

.TabMainForegroundNormal {
	background-position: 0px 0px;
}
.TabMainForegroundOff {
	background-position: 0px 0px;
}
.TabMainForegroundActive {
	background-position: 0px -20px;
}
.TabMainForegroundActivated {
	background-position: 0px -20px;
}
.TabMainBackgroundNormal {
	background-position: 0px -40px;
}
.TabMainBackgroundOff {
	background-position: 0px -40px;
	border-bottom: 1px solid #d8d3d3;
}
.TabMainBackgroundActive {
	background-position: 0px -60px;
}
.TabMainBackgroundActivated {
	background-position: 0px -60px;
}
.TabMainHighlighted {
	background-position: 0px -100px !important;
}

.TabIndicatorCell {
	width: 20px;
	height: 20px;
	vertical-align: middle;
}


.TabListModeButtonCell {
	width: 15px;
	height: 20px;
	vertical-align: middle;
}

.TabListModeButtonCellHidden {
	display: none;
}

.TabListModeButton {
	width: 15px;
	height: 20px;
	background: url("icon_list_mode.gif");
	background-repeat: no-repeat;
	cursor: pointer; cursor: hand;
}

.TabListModeButtonList {
	background-position: 0px 1px;
}
.TabListModeButtonListOn {
	background-position: -15px 1px;
}
.TabListModeButtonPlot {
	background-position: -30px 1px;
}
.TabListModeButtonPlotOn {
	background-position: -45px 1px;
}

.TabLabelForegroundNormal {
	color: black;
}
.TabLabelForegroundOff {
	/*color: #afafaf;*/
	color: black;
}
.TabLabelForegroundActive {
	color: black;
}
.TabLabelForegroundActivated {
	color: black;
}
.TabLabelBackgroundNormal {
	/*color: #888787;*/
}
.TabLabelBackgroundOff {
	/*color: #eeeeee;*/
	/*color: grey;*/
}
.TabLabelBackgroundActive {
	color: black;
}
.TabLabelBackgroundActivated {
	color: black;
}
.TabLabelHighlighted {
	color: blue !important;
}

.ActivityIndicator {
	width: 20px;
	height: 18px;
	background-repeat: no-repeat;
}

.ActivityIndicatorForegroundNormal {
	/*background: url("icon_activity_static.gif");*/
	background-position: 0px 0px;
}
.ActivityIndicatorForegroundOff {
	/*background: url("icon_activity_static.gif");*/
	background-position: 0px -18px;
}
.ActivityIndicatorForegroundActive {
	background: url("icon_activity_busy.gif");
	background-position: 0px 0px;
}
.ActivityIndicatorForegroundActivated {
	background: url("icon_activity_static.gif");
	background-position: 0px 0px;
}
.ActivityIndicatorBackgroundNormal {
	/*background: url("icon_activity_static.gif");*/
	background-position: 0px -36px;
}
.ActivityIndicatorBackgroundOff {
	/*background: url("icon_activity_static.gif");*/
	background-position: 0px -18px;
}
.ActivityIndicatorBackgroundActive {
	background: url("icon_activity_busy.gif");
	background-position: 0px 0px;
}
.ActivityIndicatorBackgroundActivated {
	background: url("icon_activity_static.gif");
	background-position: 0px -54px;
}



.LoadingIndicator {
	position: absolute;
	width: 125px;
	top: 30px;
	left: -5px;
	height: 5px;
}

/*********************************** Panels **********************************/

.PanelHeader {
	width: 100%;
	height: 18px;
	line-height: 18px;
	text-align: center;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	font-weight: bold;
	background-color: #fafafa;
	/*border-bottom: 1px solid #323296;*/
}
.PanelHeaderInactive {
	width: 100%;
	height: 18px;
	line-height: 18px;
	text-align: center;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	font-weight: bold;
	color: #afafaf;
	background-color: #fafafa;
	/*border-bottom: 1px solid #323296;*/
}
.PanelHeaderBusy {
	width: 100%;
	height: 18px;
	line-height: 18px;
	text-align: center;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	font-weight: bold;
	background-color: #dffcc4;
	/*border-bottom: 1px solid #323296;*/
}
.HeaderLabel {
	float: left;
}

/*
.IconActivity {
	background-position: center center;
	background-repeat: no-repeat;
	position: absolute;
	width: 26px;
	height: 18px;
	display: block;
	z-index: 20;
}
.IconActivityBusy {
	background-image: url("icon_activity_busy.gif");
}
*/

.PanelBody {
	width: 100%;
	overflow: auto;
	padding: 10px;
	background-color: #ffffff;
	/*background-color: #ebebeb;*/
	/*border: 1px solid #323296;*/
		border-left: 1px solid  #ffffff;
	border-bottom: 1px solid  #ffffff;
	border-right: 1px solid  #ffffff;
	border-top: none;
	border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
	
}

.PanelBody > .PanelNote {
	width: calc(100% + 38px);
	margin-top: -10px;
	/*height: calc(100% + 20px);*/
}
.PanelBody > .PanelNote > iframe {
	margin-left: -20px;
}

.PanelBodyNoOverflow {
	width: 100%;
	overflow: hidden;
	padding: 10px;
	background-color: #ebebeb;
	border: 1px solid #323296;
	border-top: none;
}

.PanelBodySearch {
	width: 100%;
	overflow: auto;
	overflow-x: hidden;
	padding: 10px;
	background-color: #ffffff;
	/*background-color: #ebebeb;*/
	/*border: 1px solid #323296;*/
	border-left: 1px solid  #ffffff;
	border-bottom: 1px solid  #ffffff;
	border-right: 1px solid  #ffffff;
	border-top: none;
	border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
	/*overflow: hidden;*/
}

.PanelMessage {
	width: 100%;
	padding-bottom: 5px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	font-weight: bold;
	text-align: center;
	color: #000000;
}
.PanelMessageError {
	width: 100%;
	padding-bottom: 5px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	font-weight: bold;
	text-align: center;
	color: #ff0000;
}

.PanelNote {
	width: 100%;
	padding-bottom: 5px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	text-align: left;
	color: #000000;
}

.PanelFootNote {
	width: 100%;
	padding-top: 5px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	text-align: left;
	color: #000000;
}

.PanelDebugMessage {
	width: 100%;
	border-top: 1px solid #323296;
	padding-top: 5px;
	margin-top: 5px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	text-align: left;
	color: #000000;
}


input[type="button"] {
    margin: 3px 7px 0px 7px;
    font-family: ProximaNovaRegular;
    font-size: 13px;
    background-color: #f2f3f5;
    border: 1px solid #f2f3f5;
    color: #39547c;
    border-radius: 3px;
    height: 28px;
    padding: 1 5 1 5;
}

.LinkButton {
	margin: 3px 7px 0px 7px;
	font-family: ProximaNovaRegular;
	font-size: 14px!important;
	background-color: #f2f3f5!important;
    border: 1px solid #f2f3f5!important;
	color: rgb(107,156,233)!important;
	border-radius: 3px!important;
    height: 28px!important;
    padding-left: 32px!important;
    padding-right: 32px!important;
}

.LinkButton[value="ИСКАТЬ"] {
    background-color: #0e4ba8!important;
    border: 0px solid #0e4ba8!important;
	color: #fdfdfd!important;
}
.LinkButton[value="Поиск"] {
    background-color: #0e4ba8!important;
    border: 1px solid #0e4ba8!important;
	color: #fdfdfd!important;
}

/******************************** Search panel *******************************/

.SearchTable {
	border: none;
	border-collapse: collapse;
	width: 100%;
	font-family: ProximaNovaSemibold;
	font-size: 14px;
	color: #60697c;
}


.SearchTable td {
	vertical-align: bottom;
}

.SearchFieldText {
	height: 20px;
	width: 100%;
	font-family: ProximaNovaRegular;
	font-size: 13px;
	color: #001b3b;
	background-color: #f0f0f4;
    /*border: 1px solid #cecbcb;*/
    border: 1px solid transparent;
	border: none;
    border-radius: 3px;
	height: 28px;
	padding-left: 12px;
	margin-top: 4px;
}
.SearchFieldText::-moz-placeholder 			{ color: #abb1bd; padding-left: 2px; padding-right: 7px;}
.SearchFieldText::-webkit-input-placeholder 	{ color: #abb1bd; padding-left: 2px; padding-right: 7px;}
.SearchFieldText:-ms-input-placeholder         	{ color: #abb1bd; padding-left: 2px; padding-right: 7px;}
.SearchFieldText::-ms-input-placeholder        	{ color: #abb1bd; padding-left: 2px; padding-right: 7px;}
.SearchFieldText::placeholder                       	{ color: #abb1bd; padding-left: 2px; padding-right: 7px;} 
	

.SearchFieldSearchbox {
	-webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none!important;
    background: url(nArrowDown.png) no-repeat 100% 50%;
    padding: 5px;
    outline: none;
    cursor: pointer;
    width: 100%;
    font-family: Rubik Regular;
    font-size: 13px;
    color: #001b3b;
    background-color: #f0f0f4;
    /*border: 1px solid #cecbcb;*/
    border: 1px solid transparent;
	border: none;
    border-radius: 3px;
    height: 28px;
	padding-left: 12px;
	margin-top: 4px;
}
.SearchFieldSearchbox > option {
    background: white;
    font-family: Rubik Regular;
    font-size: 14px;
}
.SearchFieldCheckbox {
}

.SearchFieldSelect {
	height: 20px;
	width: 100%;
	font-family: ProximaNovaRegular;
	font-size: 13px;
	color: #001b3b;
	background-color: #f0f0f4;
    /*border: 1px solid #cecbcb;*/
    border: 1px solid transparent;
	border: none;
    border-radius: 3px;
	height: 28px;
	padding-left: 12px;
	margin-top: 4px;
}

.ValidatorIconSuccess {
	display: block;
	float: left;
	width: 20px;
	height: 20px;
	background: none;
}
.ValidatorIconError {
	display: block;
	float: left;
	width: 20px;
	height: 20px;
	background: url("icon_valid_error.gif");
}

/********************************** Searchbox ********************************/

.SearchboxPrompt {
	position: absolute;
	color: black;
	z-index: 100;
}

.SearchboxMessage {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 26px;
	overflow: auto;
	background-color: #fffaf0;
	border: 1px solid #ff9600;
}

.SearchboxMessage td {
	padding: 2px 8px 2px 8px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	font-weight: bold;
	line-height: 16px;
}

.SearchboxTableFrame {
	position: absolute;
	top: 0px;
	left: 0px;
	background-color: #fffaf0;
	overflow: auto;
	border: 1px solid #ff9600;
}
.SearchboxTableFrame table {
	width: 100%;
	border-collapse: collapse;
	padding: 0px;
}
.SearchboxRowSelected {
	cursor: pointer; cursor: hand;
	height: 16px;
	padding-left: 8px;
	padding-right: 8px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	line-height: 16px;
	background-color: #ff9600;
	color: white;
}
.SearchboxRowUnselected {
	height: 16px;
	padding-left: 8px;
	padding-right: 8px;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	line-height: 16px;
	background-color: #fffaf0;
	color: black;
}

.SearchboxArrowUp {background-image: url("searchbox_arrows.gif");
	background-position: 0px 0px;
	background-repeat: no-repeat;
	display: block;
	position: absolute;
	height: 13px;
	width: 24px;
	z-index: 120;
}
.SearchboxArrowDown {background-image: url("searchbox_arrows.gif");
	background-position: -24px -0px;
	background-repeat: no-repeat;
	display: block;
	position: absolute;
	height: 13px;
	width: 24px;
	z-index: 120;
}

/********************************* List panel ********************************/

.ListWarningMessage {
	font-family: ProximaNovaRegular;
	font-size: 11px;
	color: red;
	padding-bottom: 8px;
}
.ListTable {
	/*border: 1px solid #323296;*/
	border: 1px solid #F2F2F2;
	border-collapse: collapse;
	width: 100%;
	font-family: ProximaNovaRegular;
    font-size: 13px;
	color: #001442;
	background-color: #ffffff;
}

.ListTableHeader {
	font-family: ProximaNovaSemibold;
	font-size: 14px;
	/*font-weight: bold;*/
	/*background-color: #fffaf0;*/
	background-color: #fafafa;
    color: #61697c;
}

.ListTableRowOdd {
	/*background-color: #fafafa;*/
}
.ListTableRowEven {
	/*background-color: #f0ebe6;*/
}
.ListTableRowHighlighted {
	background-color: #f6f7f9;
	color: #062e4a;
}
.ListTableRowSelected {
	background-color: #f6f7f9;
	color: #062e4a;
}
.ListTableRowContextMenu {
	background-color: #58cf18;
	color: white;
}
.ListTableRowSummary {
	background-color: #eef4fc;
	color: #000000;
	font-family: ProximaNovaSemibold;
	/*font-weight: bold;*/
}
.ListTable th {
	/*border: 1px solid #323296;*/
	border: 1px solid #f2f2f2;
	padding: 3px;
	height: 25px;
}
.ListTable td {
	/*border: 1px solid #323296;*/
	border: 1px solid #f2f2f2;
	padding: 3 7 3 7;
	height: 25px;
}

.CellEditableField {
	border: none;
	background-color: white;
	height: 16px;
	width: 100%;
	color: black;
	font-family: ProximaNovaRegular;
	font-size: 10px;
	line-height: normal;
}

/********************************* View panel ********************************/

.ViewWarningMessage {
	font-family: ProximaNovaRegular;
	font-size: 11px;
	color: red;
	padding-bottom: 8px;
}
.ViewTable {
	border: 1px solid #f2f2f2;
	border-collapse: collapse;
	background-color: #ffffff;
	width: 100%;
	font-family: ProximaNovaRegular;
	font-size: 14px;
	color: #001442;
}
.ViewTable td {
	border: 1px solid #f2f2f2;
	padding: 3px;
}
.ViewTableName {
	font-size: 14px;
	font-family: ProximaNovaSemibold;
	width: 1px;
}
.ViewTableValue {
}

/******************************** Context menu *******************************/

.ContextMenu {
	position: absolute;
	display: block;
	color: black;
	z-index: 150;
}

.ContextMenuHeader {
	width: 100%;
	height: 24px;
	background-color: #ffdaa5;
	border: 1px solid #ff9600;
}
.ContextMenuHeaderTable {
	width: 100%;
	heigth: 24px;
	border: none;
	color: black;
	font-weight: bold;
	font-family: ProximaNovaRegular;
	font-size: 12px;
	line-height: 24px;
}
/*
.ContextMenuHeaderBackButton {
	font-size: 12px;
	width: 60px;
	height: 20px;
}
*/
.ContextMenuBody {
	width: 100%;
	background-color: #fffaf0;
	border: 1px solid #ff9600;
	border-top: none;
	overflow: auto;
}

.ContextMenuBodyTable {
	width: 100%;
	border-collapse: collapse;
}
.ContextMenuHeaderTitle {
	text-align: center;
}

.ContextMenuRowSelected {
	cursor: pointer; cursor: hand;
	height: 20px;
	padding-left: 8px;
	padding-right: 8px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	line-height: 20px;
	background-color: #ff9600;
	color: white;
}
.ContextMenuRowUnselected {
	height: 20px;
	padding-left: 8px;
	padding-right: 8px;
	font-family: ProximaNovaRegular;
	font-size: 11px;
	line-height: 20px;
	background-color: #fffaf0;
	color: black;
}
.ContextMenuRowSeparator {
	height: 1px;
	background-color: #ff9600;
}
.ContextMenuElementCell {
	padding-left: 8px;
	padding-right: 8px;
}
.ContextMenuBodyNextLevelButton {
	cursor: pointer; cursor: hand;
	text-align: center;
	font-size: 12px;
	line-height: 20px;
	font-weight: bold;
	width: 20px;
	height: 20px;
}
.ContextMenuBodyBackButton {
	cursor: pointer; cursor: hand;
	text-align: center;
	font-size: 12px;
	line-height: 24px;
	font-weight: bold;
	width: 20px;
	height: 24px;
}
.ContextMenuBodyBackButtonHover {
	cursor: pointer; cursor: hand;
	text-align: center;
	font-size: 12px;
	line-height: 24px;
	font-weight: bold;
	width: 20px;
	height: 24px;
	color: white;
}

/************************************ Plots **********************************/



.FadeBlock {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	background-color: #333;
	filter:progid:DXImageTransform.Microsoft.Alpha(opacity=50); /* IE 5.5+*/
	-moz-opacity: 0.5; /* Mozilla 1.6 и ниже */
	-khtml-opacity: 0.5; /* Konqueror 3.1, Safari 1.1 */
	opacity: 0.5; /* CSS3 - Mozilla 1.7b +, Firefox 0.9 +, Safari 1.2+, Opera 9+ */
}
.PlotButton {
	height: 18px;
	cursor: pointer;
	color: #fff;
	background-color: #bbb;
	text-align: center;
	font-family: ProximaNovaRegular;
	font-size: 12px;
	padding: 3px;
}
.PlotBlock {
	width: 800px;
	height: 400px;
	padding: 10px;
	border: 1px solid #aaa;
	background-color: #eee;
	margin: 0px auto;
	position: absolute;
	top: 50%; left: 50%;
	margin-top: -200px;
	margin-left: -400px;
}
.PlotCloseButton {
	position: absolute;
	top: -25px;
	right: 0px;
	width: 120px;
	border: 1px solid #eee;
}


#UserInfoImage {
	cursor: pointer; cursor: hand;
	position: absolute;
    top: 10px;
    right: 14px;
    width: 34px;
    height: 34px;
    background-image: url(head_blank.png);
    background-position: 0px 0px;
    /* border: 1px solid white; */
    background-repeat: no-repeat;
    background-size: cover;
}


#GridSelectorContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10000;
    top: 0;
    left: 0;
    background-color: transparent;
    text-align: center;
    vertical-align: middle;
    padding: 5px;
    width: 100%;
    height: 100%;
    position: fixed;
    overflow: hidden;
}

#GridSelectorContainer > div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
    -moz-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
    box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
}
.GridSelectorContainerWindow {
    padding: 2px;
    margin: 2px;
    -webkit-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
    -moz-box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
    box-shadow: 0px 0px 11px 5px rgba(149, 153, 161, 0.07);
}



.GridSelectorClose {
    position: absolute;
    right: 2px;
    top: 2px;
    height: 20px;
    width: 20px;
    cursor: pointer;
    background-repeat: no-repeat;
    background-position: center top;
    background-image: url(/dbgrid/img/images/close-1.png);
    background-size: 20px;
}


